Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000915SpeedFanOtherpublic2007-06-23 01:392007-09-20 00:00
Reporterrandyc 
Assigned Toalfredo 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindowsOS VersionXP SP2
Product Version4.32 
Target VersionFixed in Version4.33 
Summary0000915: Access Violation at address 00545OAF
DescriptionAccess violation at address 00545OAF in module 'speedfan.exe'. Read of Address 00000178.
Steps To ReproduceI believe this started to happen after updating Webroot Spysweeper to 5.5.1.3354. Speedfan was working prior to this update.
TagsNo tags attached.
Motherboard Model
Video Card ModelNvidia 6600GT
Attached Files

- Relationships
duplicate of 0000800resolvedalfredo 4.32 b17 has problems with F-Secure Client Security 2007 installed 

-  Notes
(0002606)
tomh (reporter)
2007-06-23 12:43
edited on: 2007-06-23 12:45

Seems the same issue as www.bugtrack.almico.com/view.php?id=914 and www.bugtrack.almico.com/view.php?id=916

(0002609)
randyc (reporter)
2007-06-23 18:22

I uninstalled Webroot Spysweeper and it's working now. There seems to be a conflict with this program and speedfan.

Motherboard = ASUS A8N32-SLI Deluxe
DIMM info:
Scanning SMBus at $0600...
Decoding DIMM #0
 Memory type is DDR
 Module Rows : 2
 Levels : 2.5V
 Parity : NO PARITY
 Refresh Rate : 7.8us
 Total Size : 512MB
Decoding DIMM #1
 Memory type is DDR
 Module Rows : 2
 Levels : 2.5V
 Parity : NO PARITY
 Refresh Rate : 7.8us
 Total Size : 512MB
Scanning SMBus at $0700...
Scanning SMBus at $3D403E3F...
Scanning SMBus at $3D403637...
Scanning SMBus at $3D405051...
(0002611)
tomh (reporter)
2007-06-23 19:44

So there's another security software SF 4.32 confilct with...
(0002912)
tomh (reporter)
2007-09-19 20:17

Sounds like the same startup issue what fixed in 4.33...
(0002918)
alfredo (manager)
2007-09-19 23:04

This thing that so called security tools and SpeedFan interfere makes me wonder what's exactly the task of those tools. As long as a tool that enjoys fiddling with everything in a system stating to be the perfect guardian interferes with SpeedFan I will wait for that software to behave properly. Period.
(0002919)
alfredo (manager)
2007-09-19 23:05

Randyc, try to run SpeedFan with /NONVIDIAI2C command line parameter and let me know if the issue is gone.
(0002920)
tomh (reporter)
2007-09-19 23:25
edited on: 2007-09-19 23:33

Alfredo your changelog says these repeated error was in your CPU usage measurement routines... These tools are all very CPU eating (except Eset Nod32) and many times they manage the high cpu usage shown in the victim application not in themselves... it can trick a code that doesn't aware this situation.
Anyway for me with 4.33 (betas & final) this kind of errors are completly gone (tested on several computers installed with different security software).

If you have some time and want to know what a software firewall's app control does (good or bad way) check out this test. Very informative...
http://www.matousec.com/projects/windows-personal-firewall-analysis/ [^]

(0002921)
alfredo (manager)
2007-09-19 23:52

Thank you Tomh, but it seems that there is no issue when that tool isn't there. IMHO this means that a perfectly working tool (SpeedFan) stops working fine (according to what Randyc reports) because another tool decides to make the first one crash. Is this what we should expect from a security tool? Or did I miss anything?
(0002922)
alfredo (manager)
2007-09-19 23:56

I think I will close this issue as 4.33, anyway, fixed it.
Randyc, feel free to reopen it if needed.
(0002923)
alfredo (manager)
2007-09-19 23:57

Please, note that "Speedfan was working prior to this update", where it was the security tool to be updated and not SpeedFan.

- Issue History
Date Modified Username Field Change
2007-06-23 01:39 randyc New Issue
2007-06-23 01:39 randyc Video Card Model => Nvidia 6600GT
2007-06-23 12:43 tomh Note Added: 0002606
2007-06-23 12:44 tomh Note Edited: 0002606
2007-06-23 12:45 tomh Note Edited: 0002606
2007-06-23 12:45 tomh Note Edited: 0002606
2007-06-23 18:22 randyc Note Added: 0002609
2007-06-23 19:44 tomh Note Added: 0002611
2007-09-19 20:17 tomh Note Added: 0002912
2007-09-19 23:04 alfredo Note Added: 0002918
2007-09-19 23:05 alfredo Note Added: 0002919
2007-09-19 23:05 alfredo Status assigned => acknowledged
2007-09-19 23:25 tomh Note Added: 0002920
2007-09-19 23:26 tomh Note Edited: 0002920
2007-09-19 23:33 tomh Note Edited: 0002920
2007-09-19 23:52 alfredo Note Added: 0002921
2007-09-19 23:54 alfredo Relationship added duplicate of 0000800
2007-09-19 23:56 alfredo Note Added: 0002922
2007-09-19 23:56 alfredo Status acknowledged => resolved
2007-09-19 23:56 alfredo Resolution open => duplicate
2007-09-19 23:57 alfredo Note Added: 0002923
2007-09-20 00:00 alfredo Resolution duplicate => fixed
2007-09-20 00:00 alfredo Fixed in Version => 4.33


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3227 seconds.
memory usage: 8,131 KB
Powered by Mantis Bugtracker